Opened 14 years ago

Closed 12 years ago

#2288 closed defect (fixed)

MythWeb search results include additional airdate if show is scheduled to record

Reported by: knowledgejunkie@… Owned by: Rob Smith
Priority: minor Milestone: unknown
Component: mythweb Version:
Severity: medium Keywords: mythweb search results duplicate
Cc: Ticket locked: no

Description

Best illustrated in the following screenshot:

http://www.insidethex.co.uk/mythtv/mythweb-searchresults1.jpg

Aside from the plethora of duplicate airdates listed in the above example due to repeat showings and the channel being available on 2 sources (one source has a +1 channel too), there is an additional (3rd) airdate listed for the program that is set to record. A breakdown of the airdates (23 for first result) listed is as follows:

Sun Sep 3, 2006, 01:55 AM (3 occurences, 2 sources, 1 scheduled record) Sat Sep 2, 2006, 09:10 PM (4 occurences, 2 sources) Sat Sep 2, 2006, 10:10 PM (2 occurences, 1 source) Sat Sep 2, 2006, 10:15 PM (4 occurences, 2 sources) Sat Sep 2, 2006, 11:10 PM (2 occurences, 1 source) Sun Sep 3, 2006, 02:55 AM (2 occurences, 1 source) Sun Sep 3, 2006, 03:00 AM (4 occurences, 2 sources) Sun Sep 3, 2006, 04:00 AM (2 occurences, 1 source)

There is obviously a problem with matching programs against channels, but I don't understand why there are still double the number of results for non-recording results, i.e. when the channel is available on only 1 source, there are 2 airdates, when the channel is available on 2 sources, there are 4 airdates.

There are 12 individual results listed in the search results, comprising 8 results for the channel available on 2 sources (2 copies of each result) and 4 results for the channel available on only 1 source (1 copy for each result, which matches what the 'real' results of the search should be).

If I can provide any more useful information, please let me know.

Nick

Attachments (3)

search.html.bz2 (7.4 KB) - added by thomas@… 13 years ago.
Search result with lots of dups and no callsigns
search2.html.bz2 (3.9 KB) - added by thomas@… 13 years ago.
Search result with no callsigns
prog.xmltv.2006-09-30.bz2 (173.1 KB) - added by thomas@… 13 years ago.
XMLTV data

Download all attachments as: .zip

Change History (9)

comment:1 Changed 13 years ago by thomas@…

I have the same problem since 0.20. I also have most channels from 2 signal sources (DVB and cable). Everytime, MythWeb lists all shows of that title in each line in the last col. Sometimes even more often than there are signal sources. Sometimes it adds channel callsign in (), sometimes not. I am attaching 2 search results and one XMLTV file. This file is being imported with mythfilldatabase for both signal sources (importing twice, each time with different source parameter).

Changed 13 years ago by thomas@…

Attachment: search.html.bz2 added

Search result with lots of dups and no callsigns

Changed 13 years ago by thomas@…

Attachment: search2.html.bz2 added

Search result with no callsigns

Changed 13 years ago by thomas@…

Attachment: prog.xmltv.2006-09-30.bz2 added

XMLTV data

comment:2 Changed 13 years ago by thomas@…

Correction for my attachments: search.html.bz2 is the one with lots of dups and WITH callsigns

prog.xmltv.2006-09-30.bz2 was cut in half because of file upload limit, so your search result will be shorter than my sample.

comment:3 Changed 13 years ago by Joffray

I am also encountering this issue. I am working on a patch to fix it.

comment:4 Changed 13 years ago by Nick Morrott <<knowledgejunkie [at] gmail [dot] com>>

UPDATE:

This behaviour seems to have been completely fixed by the patch posted in #3357 (many thanks Wolfgang).

I no longer see duplicate results from each video source or the additional results when the search result is also a scheduled recording, so I'm very happpy!

comment:5 Changed 12 years ago by Rob Smith

Owner: changed from xris to Rob Smith
Status: newassigned

comment:6 Changed 12 years ago by Rob Smith

Resolution: fixed
Status: assignedclosed

(In [14839]) Fixes #3357, Fixes #2288, this creates a better key for searches so they do not overlap as much. Thanks Wolfgang.

Note: See TracTickets for help on using tickets.